import React from 'react';
import { InputProps, SelectProps } from 'antd';
import type { OptionProps } from 'antd/lib/select';
import { ICountry } from '@adminide-stack/core';
interface PropTypes extends Omit<InputProps, 'value' | 'onChange'> {
    onChange?: (value: CountryPhoneInputValue) => void;
    value?: CountryPhoneInputValue;
    translation?: string;
    selectProps?: SelectProps<any>;
    optionProps?: OptionProps;
    countries: ICountry[];
}
export type CountryPhoneInputValue = {
    countryCode?: string;
    phoneNumber?: string;
};
export declare function CountryPhoneInput({ countries, onChange, value, translation, selectProps, ...props }: PropTypes): React.JSX.Element;
export {};
